Core drivers reference
======================

These drivers are for the core device and the peripherals closely integrated into it, which do not use the controller mechanism.

:mod:`artiq.coredevice.core` module
-----------------------------------

.. automodule:: artiq.coredevice.core
    :members:

:mod:`artiq.coredevice.ttl` module
-----------------------------------

.. automodule:: artiq.coredevice.ttl
    :members:

:mod:`artiq.coredevice.dds` module
----------------------------------

.. autoclass:: artiq.coredevice.dds._DDSGeneric
	:members:

.. automodule:: artiq.coredevice.dds
    :members:

:mod:`artiq.coredevice.exceptions` module
-----------------------------------------

.. automodule:: artiq.coredevice.exceptions
    :members:
